/*
 * $Id: route_util.c,v 1.5 1998/05/06 17:22:23 masaki Exp $
 */

#include <sys/types.h>
#include <sys/socket.h>
#include <sys/time.h>
#include <sys/stat.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <stdio.h>
#include <netdb.h>
#include <signal.h>
#include <fcntl.h>
#include <errno.h>
#include <array.h>
#include <hash.h>
#include <mrt.h>

Route *New_Route (u_char *dest, int bitlen, void *attr)
{
   Route *tmp = New (Route);
   
   tmp->prefix = New_Prefix (AF_INET, dest, bitlen);
   tmp->attr = attr;
   return (tmp);
}

char *
proto2string (int proto)
{
    static char *string;

    switch (proto) {
    case PROTO_STATIC:
	string = "static";
	break;
    case PROTO_CONNECTED:
	/* string = "direct"; */
	string = "connected";
	break;
    case PROTO_KERNEL:
	string = "kernel";
	break;
    case PROTO_RIP:
	string = "rip";
	break;
    case PROTO_BGP:
	string = "bgp";
	break;
    case PROTO_RIPNG:
	string = "ripng";
	break;
    case PROTO_OSPF:
	string = "ospf";
	break;
    default:
	string = "unknown";
	break;
    }
    return (string);
}
